| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConversionSvc::WorkerEntry Class Reference

`#include <ConversionSvc.h>`

Collaboration diagram for ConversionSvc::WorkerEntry:

[legend]
List of all members.

## Detailed Description

Definition at line 51 of file ConversionSvc.h.

## Public Member Functions
| WorkerEntry (const CLID &cl, IConverter *cnv)
| WorkerEntry (const WorkerEntry &copy)
WorkerEntry & | operator= (const WorkerEntry &copy)
virtual | ~WorkerEntry ()
IConverter * | converter ()
const CLID & | clID () const
## Private Attributes
CLID | m_class
IConverter * | m_converter

## Constructor & Destructor Documentation

ConversionSvc::WorkerEntry::WorkerEntry | ( | const CLID & | cl,
|  | IConverter * | cnv |
| ) |  |  | `[inline]`

Definition at line 56 of file ConversionSvc.h.

    00057       : m_class(cl), m_converter(cnv)       {
    00058     }

ConversionSvc::WorkerEntry::WorkerEntry | ( | const WorkerEntry & | copy | ) | `[inline]`

Definition at line 59 of file ConversionSvc.h.

    00060       : m_class(copy.m_class), m_converter(copy.m_converter)    {
    00061     }

virtual ConversionSvc::WorkerEntry::~WorkerEntry | ( |  | ) | `[inline, virtual]`

Definition at line 67 of file ConversionSvc.h.

    00067                             {
    00068     }

## Member Function Documentation

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | const WorkerEntry & | copy | ) | `[inline]`

Definition at line 62 of file ConversionSvc.h.

References m_class, and m_converter.

    00062                                                         {
    00063       m_class     = copy.m_class;
    00064       m_converter = copy.m_converter;
    00065       return *this;
    00066     }

IConverter* ConversionSvc::WorkerEntry::converter | ( |  | ) | `[inline]`

Definition at line 69 of file ConversionSvc.h.

References m_converter.

    00069                                  {
    00070       return m_converter;
    00071     }

const CLID& ConversionSvc::WorkerEntry::clID | ( |  | ) | const`[inline]`

Definition at line 72 of file ConversionSvc.h.

References m_class.

Referenced by ConversionSvc::CnvTest::operator()().

    00072                                   {
    00073       return m_class;
    00074     }

## Member Data Documentation

CLID ConversionSvc::WorkerEntry::m_class`[private]`

Definition at line 53 of file ConversionSvc.h.

Referenced by clID(), and operator=().

IConverter* ConversionSvc::WorkerEntry::m_converter`[private]`

Definition at line 54 of file ConversionSvc.h.

Referenced by converter(), and operator=().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ConversionSvc.h